General discussion on installation and configuration of SOGo

Text archives Help


Re: [SOGo] SOGo update.php


Chronological Thread 
  • From: Martin Krpata < >
  • To:
  • Subject: Re: [SOGo] SOGo update.php
  • Date: Thu, 30 May 2013 10:17:20 +0200
  • Organization: Orlickoústecká nemocnice, a.s.

Hi,
for autoinstall plugins you must have preconfigured (extensions.rdf in sogo-integrator-XXXX.xpi) and installed for first time in thunderbird. This plugin touch update server (when you run thunderbird) and install other plugins and self update.

You have wrong id's:

em:id= ">" "
em:id= ">" "
lightning:
em:id="{e2fda1a4-762b-4020-b5ad-a41df1933103}"

regards,
Martin

Dne 30.5.2013 09:02, MyName IsLive napsal(a):
" type="cite">
Hi,
i create WINNT_x86-msvc and copy all extentions there:
$ls /var/www/
index.html  updates.php  WINNT_x86-msvc
$ls /var/www/WINNT_x86-msvc/
lightning-1.9.1.xpi  sogo-connector-17.0.5.xpi  sogo-integrator-17.0.5.xpi

and this is my webserver log *Now update dialoge box closed after a minute but still i donot have plugins installed!!*

192.168.4.30 - - [29/May/2013:20:49:44 +0200] "GET /updates.php?plugin=%7B3550f703-e582-4d05-9a08-453d09bdfdc6%7D&version=0.00&platform=WINNT_x86-msvc HTTP/1.1" 500 275 "-" "Mozilla/5.0 (Windows NT 6.2; WOW64; rv:17.0) Gecko/20130509 Thunderbird/17.0.6"

192.168.4.30 - - [29/May/2013:20:49:44 +0200] "GET /updates.php?plugin=%7B92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a%7D&version=0.00&platform=WINNT_x86-msvc HTTP/1.1" 500 275 "-" "Mozilla/5.0 (Windows NT 6.2; WOW64; rv:17.0) Gecko/20130509 Thunderbird/17.0.6"



this is my updates.php:
<?php
/* This script handles the automatic propagation of extensions pertaining to a
   SOGo site. It requires PHP 4.1.0 or later. */
$plugins
= array(
         => array( "application" => "thunderbird",
                   "version" => "17.0.3",
                   "filename" => "sogo-connector-17.0.5.xpi" ),
        "{3550f703-e582-4d05-9a08-453d09bdfdc6}"
         => array( "application" => "thunderbird",
                   "version" => "17.0.3",
                   "filename" => "sogo-integrator-17.0.5.xpi" ),
        "{3550f703-e582-4d05-9a08-453d09bdfdc6}"
        => array( "application" => "thunderbird",
                   "version" => "1.9.1",
                   "filename" => "lightning-1.9.1.xpi" ),
        "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
);

$applications
= array( "thunderbird" => "<em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
                <em:minVersion>17.0</em:minVersion>
                <em:maxVersion>17.*</em:maxVersion>" );

$pluginname = $_GET["plugin"];
$plugin =& $plugins[$pluginname];
$application =& $applications[$plugin["application"]];

if ( $plugin ) {
  $platform = $_GET["platform"];
  if ( $platform
       && file_exists( $platform . "/" . $plugin["filename"] ) ) {
    $plugin["filename"] = $platform . "/" . $plugin["filename"];
  }
  elseif ( !file_exists( $plugin["filename"] ) ) {
    $plugin = false;
  }
}

if ( $plugin ) {
  header("Content-type: text/xml; charset=utf-8");
  echo ('<?xml version="1.0"?>' . "\n");
?>
<!DOCTYPE RDF>
  <Description about="urn:mozilla:extension:<?php echo $pluginname ?>">
    <em:updates>
      <Seq>
        <li>
          <Description>
            <em:version><?php echo $plugin["version"] ?></em:version>
            <em:targetApplication>
              <Description><?php echo $applications[$plugin["application"]] ?>
                <em:updateLink><?php echo dirname(getenv('SCRIPT_URI')) . '/' . $plugin["filename"] ?></em:updateLink>
              </Description>
            </em:targetApplication>
          </Description>
        </li>
      </Seq>
    </em:updates>
  </Description>
</RDF>
<?php
} else {
  header("Content-type: text/plain; charset=utf-8", true, 404);
  echo( 'Plugin not found' );
}
?>

i got  this value from install.rdf of each .xpi file "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}" 
and extensions.rdlof sogo-integrator.xpi:
<?xml version="1.0"?>
<!DOCTYPE RDF>
    <li>
      <Description
        em:id="{3550f703-e582-4d05-9a08-453d09bdfdc6}"
        em:name="SOGo Integrator"/>
    </li>
    <li>
      <Description
        em:id="{3550f703-e582-4d05-9a08-453d09bdfdc6}"
        em:name="SOGo Connector"/>
    </li>
<li>
<Description
em:id="{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}"
em:name="Lightning"/>
</li>
  </Seq>
</RDF>


Thanks


Date: Wed, 29 May 2013 18:25:48 +0200
From: ">
To: ">
Subject: Re: [SOGo] SOGo update.php

Le 29/05/2013 14:58, MyName IsLive a écrit :
">
Hi,
i installed sogo with dovecot on a server and download Thunderbird 17.0.6 ESR. i placed updates.php in /var/www and all plugins in same directory as well:
$ls -aln /var/www
-rw-r--r--  1 0 0 2876043 May 29 11:13 lightning-1.9.1.xpi
-rw-r--r--  1 0 0  244911 May 21 11:47 sogo-connector-17.0.5.xpi
-rw-r--r--  1 0 0  155780 May 29 13:48 sogo-integrator-17.0.5.xpi
-rw-r--r--  1 0 0    2233 May 29 14:37 updates.php

plugins should be in $platform directory , not at the same level than the updates.php : see the doc. + the php script. You should check your web server log too.

">
updates.php:
<?php
/* This script handles the automatic propagation of extensions pertaining to a
   SOGo site. It requires PHP 4.1.0 or later. */
$plugins
= array(
        " "> "
         => array( "application" => "thunderbird",
                   "version" => "17.0.3",
                   "filename" => "sogo-connector-17.0.5.xpi" ),
        " "> "
         => array( "application" => "thunderbird",
                   "version" => "17.0.3",
                   "filename" => "sogo-integrator-17.0.5.xpi" ),
        "{e2fda1a4-762b-4020-b5ad-a41df1933103}"
        => array( "application" => "thunderbird",
                   "version" => "1.9.1",
                   "filename" => "lightning-1.9.1.xpi" )
);
$applications
= array( "thunderbird" => "<em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
                <em:minVersion>17.0</em:minVersion>
                <em:maxVersion>17.*</em:maxVersion>" );
$pluginname = $_GET["plugin"];
$plugin =& $plugins[$pluginname];
$application =& $applications[$plugin["application"]];
if ( $plugin ) {
  $platform = $_GET["platform"];
  if ( $platform
       && file_exists( $platform . "/" . $plugin["filename"] ) ) {
    $plugin["filename"] = $platform . "/" . $plugin["filename"];
  }
  elseif ( !file_exists( $plugin["filename"] ) ) {
    $plugin = false;
  }
}
if ( $plugin ) {
  header("Content-type: text/xml; charset=utf-8");
  echo ('<?xml version="1.0"?>' . "\n");
?>
<!DOCTYPE RDF>
<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:em="http://www.mozilla.org/2004/em-rdf#">
  <Description about="urn:mozilla:extension:<?php echo $pluginname ?>">
    <em:updates>
      <Seq>
        <li>
          <Description>
            <em:version><?php echo $plugin["version"] ?></em:version>
            <em:targetApplication>
              <Description><?php echo $applications[$plugin["application"]] ?>
                <em:updateLink><?php echo dirname(getenv('SCRIPT_URI')) . '/' . $plugin["filename"] ?></em:updateLink>
              </Description>
            </em:targetApplication>
          </Description>
        </li>
      </Seq>
    </em:updates>
  </Description>
</RDF>
<?php
} else {
  header("Content-type: text/plain; charset=utf-8", true, 404);
  echo( 'Plugin not found' );
}
?>
 
i already modify extionss.rdf :
<?xml version="1.0"?>
<!DOCTYPE RDF>
<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
  xmlns:isi="http://inverse.ca/sogo-integrator/"
  xmlns:em="http://www.mozilla.org/2004/em-rdf#"
  xmlns:NC="http://home.netscape.com/NC-rdf#">
  <Seq about="http://inverse.ca/sogo-integrator/extensions"
    isi:updateURL="http://192.168.4.85/updates.php?plugin=%ITEM_ID%&amp;version=%ITEM_VERSION%&amp;platform=%PLATFORM%">
    <li>
      <Description
        em:id=" "> "
        em:name="SOGo Integrator"/>
    </li>
    <li>
      <Description
        em:id=" "> "
        em:name="SOGo Connector"/>
    </li>
 <li>
  <Description
   em:id="{e2fda1a4-762b-4020-b5ad-a41df1933103}"
   em:name="Lightning"/>
 </li>
  </Seq>
</RDF>
.........
Should i change "e2fda1a4-762b-4020-b5ad-a41df1933103" with sogo integrator's id from install.rdf?
Now when im running thunderbird and installing new xpi file i have "Please wait while updating the extensions..." i give it long time but nothing changed!!!
 
Thank you for your helps





Archive powered by MHonArc 2.6.18.

Top of page